TradeLimitData (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.zerogc.api

## Class TradeLimitData

- java.lang.Object
- - com.marketfactory.zerogc.api.TradeLimitData

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<TradeLimitData>

      public final class TradeLimitData
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<TradeLimitData>, java.io.Serializable

  Contains all trading limits/state.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFString` | `clDataID`
    `TradeLimit[]` | `groupLimits`
    `TradeState[]` | `groupStates`
    `boolean` | `isSnapshot` True if the market-data update is a full snapshot; False means this is an incremental update.
    `MarketRate[]` | `marketRates`
    `int` | `numRemainingMessages`
    `TradeLimit[][]` | `recycleableZeroGCgroupLimits`
    `TradeState[][]` | `recycleableZeroGCgroupStates`
    `MarketRate[][]` | `recycleableZeroGCmarketRates`
    `TradeHierarchy[][]` | `recycleableZeroGCuserHierarchy`
    `TradeHierarchy[]` | `userHierarchy`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `TradeLimitData()`
    `` | `TradeLimitData(MFString clDataID, TradeLimit[] groupLimits, TradeState[] groupStates, TradeHierarchy[] userHierarchy, MarketRate[] marketRates, int numRemainingMessages, boolean isSnapshot)`
    `protected` | `TradeLimitData(ZeroGCProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(TradeLimitData rhs)`
    `void` | `deepCopy(TradeLimitData src)`
    `void` | `deserializeZeroGC(ZeroGCProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `TradeLimit[]` | `recycleZeroGCgroupLimitsArray(int size)`
    `TradeState[]` | `recycleZeroGCgroupStatesArray(int size)`
    `MarketRate[]` | `recycleZeroGCmarketRatesArray(int size)`
    `TradeHierarchy[]` | `recycleZeroGCuserHierarchyArray(int size)`
    `void` | `serialize(ZeroGCProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### clDataID

          public MFString clDataID

    - #### groupLimits

          public TradeLimit[] groupLimits

    - #### recycleableZeroGCgroupLimits

          public TradeLimit[][] recycleableZeroGCgroupLimits

    - #### groupStates

          public TradeState[] groupStates

    - #### recycleableZeroGCgroupStates

          public TradeState[][] recycleableZeroGCgroupStates

    - #### userHierarchy

          public TradeHierarchy[] userHierarchy

    - #### recycleableZeroGCuserHierarchy

          public TradeHierarchy[][] recycleableZeroGCuserHierarchy

    - #### marketRates

          public MarketRate[] marketRates

    - #### recycleableZeroGCmarketRates

          public MarketRate[][] recycleableZeroGCmarketRates

    - #### numRemainingMessages

          public int numRemainingMessages

    - #### isSnapshot

          public boolean isSnapshot

      True if the market-data update is a full snapshot; False means this is an incremental update.

  - ### Constructor Detail

    - #### TradeLimitData

          public TradeLimitData()

    - #### TradeLimitData

          protected TradeLimitData(ZeroGCProtoByteBuffer buffer)

    - #### TradeLimitData

          public TradeLimitData(MFString clDataID,
                                TradeLimit[] groupLimits,
                                TradeState[] groupStates,
                                TradeHierarchy[] userHierarchy,
                                MarketRate[] marketRates,
                                int numRemainingMessages,
                                boolean isSnapshot)

  - ### Method Detail

    - #### recycleZeroGCgroupLimitsArray

          public TradeLimit[] recycleZeroGCgroupLimitsArray(int size)

    - #### recycleZeroGCgroupStatesArray

          public TradeState[] recycleZeroGCgroupStatesArray(int size)

    - #### recycleZeroGCuserHierarchyArray

          public TradeHierarchy[] recycleZeroGCuserHierarchyArray(int size)

    - #### recycleZeroGCmarketRatesArray

          public MarketRate[] recycleZeroGCmarketRatesArray(int size)

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### deepCopy

          public void deepCopy(TradeLimitData src)

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TradeLimitData rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TradeLimitData>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserializeZeroGC

          public void deserializeZeroGC(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `deserializeZeroGC` in interface `IMessage`

    - #### serialize

          public void serialize(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)